#include<bits/stdc++.h>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    long long n,k;
    long long sum=0;
    long long x,y;
    cin >> n >> k;
    long long t;
    for (int i=0; i<n; i++)
    {
        cin >> t;
        if (i==0)
            x=t;
        else if (i==n-1)
            y=t;
        else
            sum+=t;
    }
    cout << sum+abs(x-y);
    return 00;
}